Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# PortableServer::ImplicitActivationPolicy Class Reference

`#include <PortableServerC.h>`

Inheritance diagram for PortableServer::ImplicitActivationPolicy:

[legend]
Collaboration diagram for PortableServer::ImplicitActivationPolicy:

[legend]
List of all members.

## Public Types

typedef ImplicitActivationPolicy_ptr | _ptr_type
typedef ImplicitActivationPolicy_var | _var_type

## Public Methods

virtual::PortableServer::ImplicitActivationPolicyValue | value (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual CORBA::Boolean | _is_a (const char *type_id ACE_ENV_ARG_DECL_WITH_DEFAULTS)
virtual const char * | _interface_repository_id (void) const
virtual CORBA::Boolean | marshal (TAO_OutputCDR &cdr)

## Static Public Methods

ImplicitActivationPolicy_ptr | _duplicate (ImplicitActivationPolicy_ptr obj)
ImplicitActivationPolicy_ptr | _narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
ImplicitActivationPolicy_ptr | _nil (void)
void | _tao_any_destructor (void *)

## Protected Methods

| ImplicitActivationPolicy (void)
virtual | ~ImplicitActivationPolicy (void)

## Private Methods

| ImplicitActivationPolicy (const ImplicitActivationPolicy &)
void | operator= (const ImplicitActivationPolicy &)

## Member Typedef Documentation

typedef ImplicitActivationPolicy_ptr PortableServer::ImplicitActivationPolicy::_ptr_type

| Reimplemented from CORBA::Policy.

typedef ImplicitActivationPolicy_var PortableServer::ImplicitActivationPolicy::_var_type

| Reimplemented from CORBA::Policy.

## Constructor & Destructor Documentation

PortableServer::ImplicitActivationPolicy::ImplicitActivationPolicy | ( | void |  | ) | `[protected]`

PortableServer::ImplicitActivationPolicy::~ImplicitActivationPolicy | ( | void |  | ) | `[protected, virtual]`

PortableServer::ImplicitActivationPolicy::ImplicitActivationPolicy | ( | const ImplicitActivationPolicy & |  | ) | `[private]`

## Member Function Documentation

PortableServer::ImplicitActivationPolicy_ptr PortableServer::ImplicitActivationPolicy::_duplicate | ( | ImplicitActivationPolicy_ptr | obj | ) | `[static]`

const char * PortableServer::ImplicitActivationPolicy::_interface_repository_id | ( | void |  | ) | const`[virtual]`

| Reimplemented from CORBA::Policy.

virtual CORBA::Boolean PortableServer::ImplicitActivationPolicy::_is_a | ( | const char *type_id | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[virtual]`

| Reimplemented from CORBA::Policy.

ImplicitActivationPolicy_ptr PortableServer::ImplicitActivationPolicy::_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

| Reimplemented from CORBA::Policy.

ImplicitActivationPolicy_ptr PortableServer::ImplicitActivationPolicy::_nil | ( | void |  | ) | `[inline, static]`

| Reimplemented from CORBA::Policy.

void PortableServer::ImplicitActivationPolicy::_tao_any_destructor | ( | void * |  | ) | `[static]`

| Reimplemented from CORBA::Policy.

CORBA::Boolean PortableServer::ImplicitActivationPolicy::marshal | ( | TAO_OutputCDR & | cdr | ) | `[virtual]`

| Reimplemented from CORBA::Policy.

void PortableServer::ImplicitActivationPolicy::operator= | ( | const ImplicitActivationPolicy & |  | ) | `[private]`

virtual ::PortableServer::ImplicitActivationPolicyValue PortableServer::ImplicitActivationPolicy::value | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implemented in TAO_Implicit_Activation_Policy.

The documentation for this class was generated from the following files:

- PortableServerC.h
- PortableServerC.cpp